package cn.stylefeng.team.form.modular.manage.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.form.modular.manage.entity.FormTemplate;
import cn.stylefeng.team.form.modular.manage.pojo.request.FormTemplateRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface FormTemplateService extends IService<FormTemplate> {

    void add(FormTemplateRequest formTemplateRequest);

    void del(FormTemplateRequest formTemplateRequest);

    void batchDelete(FormTemplateRequest formTemplateRequest);

    void edit(FormTemplateRequest formTemplateRequest);

    FormTemplate detail(FormTemplateRequest formTemplateRequest);

    List<FormTemplate> findList(FormTemplateRequest formTemplateRequest);

    PageResult<FormTemplate> findPage(FormTemplateRequest formTemplateRequest);

}
